Subject: CCL: Re: software to convert XYZ format to PDB ?

From: Michel Petitjean <ptitjean~at~itodys.jussieu.fr>
Date: Thu, 1 Jul 2004 11:57:03 +0200 (MEST)

To: <chemistry~at~ccl.net>
Subject: CCL:software to convert  XYZ format to PDB ?

Imagine that you are the programmer: how could you know from
the atomic symbols and the X,Y,Z coordinates what could be
the residue ? The N,CA,C,O coordinates of all residues of
all known proteins in the PDB offer quite similar 3D patterns.
If the residue information is not read by the programme,
it will not be output by the programme.

Michel Petitjean,                     Email: petitjean~at~itodys.jussieu.fr
ITODYS (CNRS, UMR 7086)                      ptitjean~at~ccr.jussieu.fr
1 rue Guy de la Brosse                Phone: +33 (0)1 44 27 48 57
75005 Paris, France.                  FAX  : +33 (0)1 44 27 68 14
http://petitjeanmichel.free.fr/itoweb.petitjean.html
...................................................................
Tamas E. Gunda <tgunda~at~puma.unideb.hu> wrote:
>
> I need to convert protein structure presented as XYZ (Cartesian coordinate
> file)
> to the PDB file format.
> The problem is that many software packages can do the job but not
> completely.
> In other words, when such software reads an XYZ file (see the fragment
> below):
>
>   N       -1.21000       43.30600      -19.48400
>   C       -1.45100       43.83100      -20.83200
>   C       -1.89300       45.28700      -20.70900
>   O       -1.42200       46.16400      -21.43800
>
> it generates the following PDB analog with unknown residual names and
> numbers:
>
> ATOM    462  N   UNK A   1      -1.210  43.306 -19.484  1.00  0.00
> ATOM    463  C   UNK A   1      -1.451  43.831 -20.832  1.00  0.00
> ATOM    464  C   UNK A   1      -1.893  45.287 -20.709  1.00  0.00
> ATOM    465  O   UNK A   1      -1.422  46.164 -21.438  1.00  0.00
>
> while the correct pdb file must specify the residual names and numbers:
>
> ATOM    462  N   VAL    32      -1.210  43.306 -19.484  1.00 14.04
> N
> ATOM    463  CA  VAL    32      -1.451  43.831 -20.832  1.00  6.48
> C
> ATOM    464  C   VAL    32      -1.893  45.287 -20.709  1.00  8.17
> C
> ATOM    465  O   VAL    32      -1.422  46.164 -21.438  1.00 10.91
> O
>